/*
PeRdr - PE file disassembler
Copyright (C) 1999-2006 Frediano Ziglio
-----

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-----

INFORMATION
  www: http://freddy77.tripod.com/perdr/
  e-mail: freddy77@angelfire.com
*/
#include "global.h"
#ifdef HAVE_HDRSTOP
#pragma hdrstop
#endif

#include "datareader.h"

uint8_t DataReader::ReadU8Slow()
{
  ReadNext();
  return ReadU8();
}

uint16_t DataReader::ReadU16LESlow()
{
  // !!! define uint8fast_t
  uint8_t u = ReadU8();
  return u|(uint16_t(ReadU8())<<8);
}

uint32_t DataReader::ReadU32LESlow()
{
  // !!! define uint16fast_t
  uint16_t u = ReadU16LESlow();
  return u|(uint32_t(ReadU16LESlow())<<16);
}
